1. contacts
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
      POST
    • Update a contact
      PATCH
    • Create a contact
      POST
    • Bulk update communication preferences
      POST
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. contacts

Bulk update communication preferences

POST
/api/v1/contacts/bulk_update_communication_preferences
Update communication_preference for multiple contacts in one request. Capped at 1000 phone numbers per request and 30 requests per 60-second window per account.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/jsonRequired

Example
{
    "phone_numbers": [
        "9876543210",
        "+919876543211"
    ],
    "communication_preference": "mute_all"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/contacts/bulk_update_communication_preferences' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "phone_numbers": [
        "9876543210",
        "+919876543211"
    ],
    "communication_preference": "mute_all"
}'

Responses

🟢200Success
application/json
All requested contacts were updated successfully.
Body

Example
{
    "updated_contacts": [
        {
            "id": 1,
            "name": "Alfred Hitchcock",
            "phone_number": "+919876543210",
            "email": "alfred@example.com",
            "age": null,
            "gender": null,
            "language": "en",
            "nickname": null,
            "opted_out": false,
            "communication_preference": "mute_all",
            "timezone": null,
            "metadata": {
                "source": "website"
            }
        }
    ],
    "errors": [],
    "total_requested": 1,
    "updated_count": 1,
    "error_count": 0
}
🟢207Partial Success
🟠422Parameter Error
🟠429Too Many Requests
Modified at 2026-04-21 12:14:00
Previous
Create a contact
Next
Create an order
Built with